Subject: Re: [bitcoin-dev] Block size following technological growth

From: Gareth Williams <[email-masked]>
Date: Wed, 05 Aug 2015 18:14:56 +1000

On 4 August 2015 11:12:36 PM AEST, Gavin Andresen via bitcoin-dev <[email-masked]> wrote:
>On Tue, Aug 4, 2015 at 7:27 AM, Pieter Wuille via bitcoin-dev <
>[email-masked]> wrote:
>
>> I would say that things already demonstrately got terrible. The
>mining
>> landscape is very centralized, with apparently a majority depending
>on
>> agreements to trust each other's announced blocks without validation.
>>
>And that is a problem... why?

With all due respect Gavin, large-block advocates appear to hold the position that:
* pushing individual economic actors away from running full nodes is a natural and unproblematic consequence of block size increase, as they're expected to rely on SPV
You now also appear to hold the position that:
* pushing miners to SPV mining is unproblematic

Have I misunderstood? Is one of these not an expected outcome of large blocks? I can understand the validity of either argument alone -- the assertion that we can trust miners to validate and just trust most-POW ourselves, /or/ the assertion that lack of miner validation is safe under certain circumstances. But together?

Who do you expect to actually validate large blocks if not miners, and what do you expect their incentive to do so to be?